vos unlock                 AFS Commands              vos unlock


NAME

   vos unlock -- unlock an entry in the VLDB.


   vos unlock  -id <volume name or ID>  [-cell <cell name>]
   [-noauth]
   [-localauth]  [-verbose]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   vos unlock -i <volume name or ID>  [-c <cell name>]  [-n]
   [-l]  [-v]  [-h]

DESCRIPTION

   Releases  the  lock  on  the  VLDB  entry  for the indicated
   volume.

WARNING

   This command should not be used under normal circumstances.

   It is useful if the VLDB entry is locked  but  there  is  no
   reason to suspect inconsistency within the volume or between
   it and  the  VLDB.    Note  that  it  is  possible  to  list
   information  from  locked  VLDB  entries,  even  though they
   cannot be manipulated in other ways.

   The vos unlockvldb unlocks several VLDB entries at once,  or
   even  the  entire  VLDB.   The vos lock command locks a VLDB
   entry so that no one else may perform an action  that  would
   require writing the VLDB.

ARGUMENTS

   -id             specifies   either   the  complete  name  or
                   volumeID number of a volume of  any  of  the
                   three types.

   -cell           specifies  the  cell  in  which  to  run the
                   command.  See section 8.3 in  the  Reference
                   Manual for more details.  -noauth
                   tells the Volume and Volume Location Servers
                   to  assign  the  identity  anonymous  to the
                   issuer.  See section 8.3  in  the  Reference
                   Manual for more details.  -localauth
                   constructs a server ticket using a key  from
                   /usr/afs/etc/KeyFile.    See  section 8.3 in
                   the  Reference  Manual  for  more   details.
                   -verbose
                   tells the Volume and Volume Location Servers
                   to  report  on  what  they are doing as they
                   execute the command.  See section 8.3 in the
                   Reference Manual for more details.  -help
                   prints the online help for this command.  Do
                   not  provide  any  other  arguments or flags
                   with this one.    See  section  8.3  in  the
                   Reference Manual for more details.

EXAMPLE(S)



   The following unlocks the VLDB entry for user.terry.

   % vos unlock user.terry

PRIVILEGE REQUIRED

   Issuer must be listed in /usr/afs/etc/UserList on -server.

MORE INFORMATION

   vos lock vos unlockvldb
